Package org.apache.commons.beanutils.converters

## Class FileConverter

- java.lang.Object
- - org.apache.commons.beanutils.converters.AbstractConverter
  - - org.apache.commons.beanutils.converters.FileConverter

All Implemented Interfaces:
  `Converter`

    public final class FileConverter
    extends AbstractConverter

`Converter` implementaion that handles conversion to and from java.io.File objects.

Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

Since:
  1.6
Version:
  $Id$

### Constructor Summary

Constructors
`FileConverter()` Construct a java.io.File Converter that throws a `ConversionException` if an error occurs.
`FileConverter​(java.lang.Object defaultValue)` Construct a java.io.File Converter that returns a default value if an error occurs.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected <T> T` `convertToType​(java.lang.Class<T> type, java.lang.Object value)` Convert the input object into a java.io.File.
`protected java.lang.Class<?>` `getDefaultType()` Return the default type this `Converter` handles.

### Methods inherited from class org.apache.commons.beanutils.converters.AbstractConverter

`conversionException, convert, convertArray, convertToString, getDefault, handleError, handleMissing, isUseDefault, setDefaultValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileConverter

    public FileConverter()

Construct a java.io.File Converter that throws a `ConversionException` if an error occurs.

#### FileConverter

    public FileConverter​(java.lang.Object defaultValue)

Construct a java.io.File Converter that returns a default value if an error occurs.

Parameters:
  `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

### Method Detail

#### getDefaultType

    protected java.lang.Class<?> getDefaultType()

Return the default type this `Converter` handles.

Specified by:
  `getDefaultType` in class `AbstractConverter`
Returns:
  The default type this `Converter` handles.
Since:
  1.8.0

#### convertToType

    protected <T> T convertToType​(java.lang.Class<T> type,
                                  java.lang.Object value)
                           throws java.lang.Throwable

Convert the input object into a java.io.File.

Specified by:
  `convertToType` in class `AbstractConverter`
Type Parameters:
  `T` - The target type of the conversion.
Parameters:
  `type` - Data type to which this value should be converted.
  `value` - The input value to be converted.
Returns:
  The converted value.
Throws:
  `java.lang.Throwable` - if an error occurs converting to the specified type
Since:
  1.8.0